#ifndef __alloc_h__
#define __alloc_h__

#include <stdlib.h>

#ifdef USE_PIECE

#include <piece.h>
void *xmalloc(size_t size);
void xfree(void *ptr);
void *xcalloc(size_t size,size_t elem);
#else

#define xmalloc(size) (malloc(size))
#define xfree(ptr) (free(ptr))
#define xcalloc(size,elem) (calloc(size,elem))

#endif

#endif
