#ifndef __array_h_
#define __array_h_

#include "type.h"

#define ARRAY_MAX 128
#define ARRAY_MARK_FLAG (1<<31)

enum {
	INT_ARRAY,
	REF_ARRAY,
	BYTE_ARRAY,
};

/* object_header(gc.h) ȤΤȡ */
struct array_head
{
	struct object_header *next;

	u1 not_ref;
	unsigned mark:1;
	unsigned alloced:1;

	u2 length;

	u4 type;
	
	jvalue *field;
};

void init_array();
struct array_head *new_array(size_t size,int array_type);

#define ARRAY_VAL(a) (((struct array_head*)(a))->field)

#endif
