#ifndef __gc_h_
#define __gc_h_
#include "type.h"

/* 
 * GCȥ󥹥󥹤Ʊ褦˰褦ˡ
 * array_head ڤ jinstance Ƭ16byteϤƱ褦ˤƤȡ */
struct object_header {
	struct object_header *next;

	u1 not_ref;		/* λäƤͤϻȤʤ */
	unsigned mark:1;
	unsigned alloced:1;
	unsigned ref_cnt:6;

	u2 length;

	u4 type;
	jvalue *field;
};

struct gcpro
{
	struct gcpro *next;
	struct object_header *obj;
};

extern struct gcpro *protect_list;

#define GCPRO1(p1) { gcpro1.next = protect_list; gcpro1.obj=(struct object_header*)p1; \
	protect_list = &gcpro1; }

#define UNGCPRO { protect_list = gcpro1.next; }

struct object_header *alloc_object( int field_size );
void gc();
void init_gc();

#endif 
