import vaca.Piece;

class Board
{
  int y;
  static final int WIDTH=20;

  public void move() throws Throwable {
    int pad = Piece.padGet();

    if ( ((pad&Piece.PAD_DN)!=0) && y<(88-WIDTH) )
      y++;
    else if ( ((pad&Piece.PAD_UP)!=0) && y>0 )
      y--;

    throw new Throwable();
  }

  public void draw(byte []vbuff) {

    for ( int i=0; i<WIDTH; i++ ) {
      vbuff[(i+y)*128+20]=3;
    }
  }

  public boolean isCollision( int y ) {
    if ( (y>=this.y) && y<(this.y+WIDTH) )
      return true;
    return false;
  }
}
    
    
