#include "exception.h"
#include "execute.h"

static inline struct exception_table *
find_table( const u1 *ip, struct jclass *klass, struct exception_table *tbl, const int len )
{
	int i;
	int best = -1;
	const u1 *max=0;
	/* ͥȤƤ硢ޥå뤦ǡ
	   start_pc礭ĤõʤȤʤ */

	for ( i=0; i<len; i++ ) {
		const u1 *s=tbl[i].start_pc,
			*e=tbl[i].end_pc;
		if ( (ip>=s) && (ip<=e) && (klass==tbl[i].catch_type) ) {
			if ( s>max ) {
				best = i;
				max = s;
			}
		}
	}

	if ( best < 0 )
		return NULL;
	return tbl+best;

}

int unwind_exception( struct jclass *throw_type )
{
	const int local_num = current_method->max_local + current_method->argnum;

	while (1) {
		u4 *tmpsp;
		struct exception_table *tbl =
			find_table( ip, throw_type,
				    current_method->except_tbl, current_method->except_tbl_len );

		if ( tbl != NULL ) {
			ip = tbl->handler_pc;
			current_class = current_method->ofclass;
			return 0;
		}

		ip = (u1*)*(fp+local_num+2);

		if ( ip==NULL )
			return -1;
		
		current_method = (struct method_header *)(*(fp+local_num+1));
		tmpsp = fp-1;
		fp = (jvalue*)*(fp+local_num);
		sp = tmpsp;
	}
}
