#ifndef __excute_h__
#define __excute_h__

#include "type.h"

extern jvalue retval;

extern u4 *fp;
extern const u1 *ip;
extern u4 *sp;

extern u4 op_stack[];

static inline void push( jvalue val) {
	*(++sp)=(jvalue)val;
}

#define REF_PUSH PUSH
#define PUSH(x) (push((jvalue)(x)))
#define UNREF(x) 

static inline jvalue pop() {
	return *(sp--);
}

static inline void aload( int n )
{
	push(fp[n]);
}

static inline void astore( int n )
{
	fp[n] = pop();
}

/*

struct frame {
	jvalue args[n];
	jvalue locals[n];
	jvalue prev_fp;
	jvalue ret_addr;
};

*/

void execute();

extern struct jclass *current_class;
extern struct method_header *current_method;

#endif 
