#ifndef __instance_h__
#define __instance_h__

#include "type.h"

/* object_header(gc.h) ȤΤȡ */
struct jinstance
{
	struct object_header *next;

	u1 not_ref;
	unsigned mark:1;
	unsigned alloced:1;

	u2 length;

	struct jclass *ofclass;

	jvalue *field;
};

void init_instance();
struct jinstance *new_instance( struct jclass *cls );

void free_unmark_instance();

extern struct jinstance instance_storage[];

#define INSTANCE_MAX 2048

#define INSTANCE_END (instance_storage+INSTANCE_MAX)
#define INSTANCEP(ptr) ((ptr)>=instance_storage && (ptr)<INSTANCE_END && (((unsigned int)ptr)%sizeof(struct array_head)))
#define INSTANCE(x) ((struct jinstance*)(x))

#endif 
