#include "jobject.h"
#include "execute.h"
#include "method.h"
#include "class.h"

#include "native.h"

static void equal()
{
	retval=(sp[0]==sp[-1]);
}

static void init()
{}

static struct method_header objectmethod[] = {
	NATIVE_METHOD("equals","(Ljava/lang/Object;)B",2,1,equal,&javalangObject, 0),
	NATIVE_METHOD("<init>","()V",1,0,init,&javalangObject, 1),
};

struct method_header *jobjectvtbl[JOBJECT_VTBL_SIZE];

struct jclass javalangObject = NATIVE_CLASS_NOSTATIC( NULL,"java/lang/Object",NULL,0,
						      objectmethod, jobjectvtbl);

struct jclass *new_jobject_class()
{
	int i;
	for ( i=0; i<JOBJECT_VTBL_SIZE; i++ ) {
		jobjectvtbl[i] = &objectmethod[i];
	}
	return &javalangObject;
}
