#include "jtestobject.h"
#include "execute.h"
#include "jobject.h"
#include "instance.h"
#include "jstring.h"
#include "array.h"

#include "native.h"

#include <stdio.h>

static struct jclass testObject;

static void puti()
{
	int i=sp[0];
	printf("%d\n",i);
}

static void puti2()
{
	int i2=sp[0];
	int i1=sp[-1];

	printf("%d %d\n", i1, i2);
}

static void testputs()
{
	struct jinstance *str = (struct jinstance *)sp[0];
	puts( (char*)((((struct array_head *)(str->field[JSTRING_CONTENTS]))->field)) );
}

static struct method_header methods[] = {
	NATIVE_METHOD("puti","(I)V",1,0,puti,&testObject,0),
	NATIVE_METHOD("puti","(II)V",2,0,puti2,&testObject,1),
	NATIVE_METHOD("puts","(Ljava/lang/String;)V",1,0,testputs,&testObject,2),
};

static struct jclass testObject = NATIVE_CLASS( &javalangObject, "TestObject", NULL, NULL, NULL, 0, 
						methods, NULL, jobjectvtbl );

struct jclass *new_testobject_class()
{
	return &testObject;
}
