#ifndef __method_h_
#define __method_h_

#include "exception.h"

typedef void (*jnative)();

struct method_header
{

	char *code;
	jnative ncode;

	const char *name;
	const char *desc;

	char max_local;
	char argnum;
	char is_native;
	char is_retval;		/* $BJV$jCM$,$"$k$+$I$&$+!%(B(native$B$@$1(B) */
	
	struct jclass *ofclass;
	short offset;		/* vtable$BMQ(B */

	short except_tbl_len;
	struct exception_table *except_tbl;
};

#endif 
