package vaca;

public class Piece
{
	public static final int PAD_RI = 0x01;
	public static final int PAD_LF = 0x02;
	public static final int PAD_DN = 0x04;
	public static final int PAD_UP = 0x08;
	public static final int PAD_B  = 0x10;
	public static final int PAD_A  = 0x20;
	public static final int PAD_D  = 0x40;
	public static final int PAD_C  = 0x80;

	public static final int TRG_RI = 0x0100;
	public static final int TRG_LF = 0x0200;
	public static final int TRG_DN = 0x0400;
	public static final int TRG_UP = 0x0800;
	public static final int TRG_B  = 0x1000;
	public static final int TRG_A  = 0x2000;
	public static final int TRG_D  = 0x4000;
	public static final int TRG_C  = 0x8000;

	public static native void lcdTrans();
	public static native byte[] lcdSetBuffer(byte[]buf);
	public static native int padGet();
	public static native void cls();
	public static native void appReqExit(int code);

	public static native void drawBmp( PieceBmp bmp, int x, int y );
}
