/**
  @file   usbdbg.c
  @author K.S.
  $Date: 2003/02/23 14:07:11 $
  $Id: usbdbg.c,v 1.1 2003/02/23 14:07:11 ko1 Exp $

  Create : K.S. 03/02/20 23:22:05
  
*/

#include <smcvals.h>
#include <stdarg.h>
#include <piece.h>

#ifdef DEBUG

#include "usbdbg.h"

void usb_dbginit(){
  USBCOMINFO uci;
  //pceUSBSetupMode(0,0,0);
  strcpy(uci.signature,"USBDEBUG");
  pceUSBCOMSetup(&uci);

  pceUSBCOMStartTx("Start",10);
}


void usb_dbgout(const char *fmt, ...){
  static char dbgbuff[0x100];
  va_list list;
  int status,n=0;
  static int cnt;
  
  va_start(list,fmt);
  
  pcesprintf (dbgbuff  ,"%06d:",cnt++);
  pcevsprintf(dbgbuff+7,fmt,list);
  pceUSBCOMStartTx(dbgbuff,strlen(dbgbuff)+1);
  // I܂ő҂
  status = 0;
  while(!(status & UCS_TXDONE)){
    status = pceUSBCOMGetStat();
    if(n++ > 0x1000){
      // timeout
      break;
    }
  }
  
  // pceFontSetPos(0,0); pceFontPutStr(dbgbuff);
}

#endif


